### Block Editor Gallery Slider

Contributors: krasenslavov
Donate Link: https://krasenslavov.com/hire-krasen/#donate-sponsor
Tags: block editor, gallery, block, Gutenberg, classic editor
Requires at least: 5.0
Tested up to: 6.4
Requires PHP: 7.2
Stable tag: 1.0.3
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Turn your WordPress Block Editor galleries into customizable sliders; Classic Editor support included.

## DESCRIPTION

Turn your WordPress Block Editor galleries into customizable sliders; Classic Editor support included.

_Block Editor Gallery Slider_ will help you convert your WordPress built-in galleries into fancy sliders. All images will open a modal window to display a larger image preview.

https://www.youtube.com/embed/fJ0FlTx-DRs

_Classic Editor, WooCommerce, and Custom Post Type support included._

Tested with WordPress 5.9, but WP 5.8 and below Support is also included.

### USAGE

Once you install and activate the plugin, you can go to any post or page and create a new gallery.

Then depending if you are using the _Block or Classic Editor_, you will see an additional meta box or panel, with the title _Gallery Slider Options_ on the sidebar.

There is one significant difference for the Classic and Block editor users.

**For Classic Editor, once you enable the plugin, the sliders will be applied to ALL the galleries on the current page or post.**

While if you are using the Block Editor, you can select sliders functionality for each gallery individually.

There are two steps involved. While on with Block Editor, you only need to select the _Container_ wrap size to be active in the gallery slider.

To remove the slider functionality, you need to select the **default** option from the select dropdown.

_Note: The gallery slider container width is relative to the parent container, and it will always fit the parent if its size is less than the selected one._

### FEATURES

You have almost total control over the plugin except for the styling and transitions.

1. Plain Gallery to Fancy Sliders - convert your built-in WordPress galleries into sliders with a modal preview.
2. Multi-editor Support - works with both Classic and Block editors.
3. Choose you Container Size - select from several different container sizes from 540px to 1680px (_full browser width is also included as an option_)
4. Backward Compatibility - there was a major change in the gallery structure in WordPress 5.9, but the plugin also supports WordPress 5.8 below.
5. Full Block Editor Support - if you are using the Block editor, you preview what your gallery sliders will look like on the front-end.
6. Switch Sliders ON/OFF - You can ultimately enable/disable the plugin from the settings page on the front-end.
7. WooCommerce Products and CPT Support - You can use the WooCommerce and Custom Post Types plugin if enabled from the settings page.

**User Settings**

The plugin doesn't have its dedicated settings page, but you can go to **Settings > Media** and scroll down the page to see all the available options.

The plugin supports both _Block (Gutenberg) and Classic_ editors that can be manually turned on/off the `Settings > Writing` page.

In addition to regular _posts and pages_ it also supports _WooCommerce Products_ and all registered _Custom Post Types_.

You can manage each of the above on the `Settings > Writing` page.

In addition, you can turn _ON/OFF_ the gallery sliders on your website front-end by checking the **Yes, I want to disabled...** form field.

### DETAILED DOCUMENTATION

The step-by-step setup, usage, demos, video, and insights can be found on [**Block Editor Gallery Slider**](https://krasenslavov.com/plugins/block-editor-gallery-slider/).

### BLOCK EDITOR GALLERY SLIDER PRO

As of yet, this plugin doesn't have a commercial version available.

## FREQUENTLY ASKED QUESTIONS

Use the [Support](https://wordpress.org/support/plugin/block-editor-gallery-slider/) tab on this page to post your requests and questions.

All tickets are usually addressed within several days.

If your request is an add-on feature, we will add it to the plugin wish list and consider implementing it in the next major version.

### Does it work with the Classic Editor?

_Yes_, it has Support and backward compatibility for the Cassic Editor.

### Does it with CPT or WooCommerce?

_Yes_, if you have WooCommerce installed and active, you need to go to the `Settings > Media` page and enable the navigator controls.

The same is applicable for all existing _Custom Post Types_.

### Does it support multisite?

_Yes_, the plugin is tested and works on WordPress multisite.

### Do you offer additional Support if I encounter any issues?

_Yes_, you can get in touch with us by using the contact form on [**our website**](https://krasenslavov.com/).

## SCREENSHOTS

0. screenshot-0.(gif)
1. screenshot-1.(png)
2. screenshot-2.(png)
3. screenshot-3.(png)
4. screenshot-4.(png)
5. screenshot-5.(png)
6. screenshot-6.(png)

## INSTALLATION

The plugin installation process is standard and easy to follow. Please let us know if you have any difficulties with the installation.

= Installation from WordPress =

1. Visit **Plugins > Add New**.
2. Search for **Block Editor Gallery Slider**.
3. Install and activate the **Block Editor Gallery Slider** plugin.
4. You will be either redirected to the main plugin page or need to click on the plugin settings link.

= Manual Installation =

1. Upload the entire `block-editor-gallery-slider` folder to the `/wp-content/plugins/` directory.
2. Visit **Plugins**.
3. Activate the **Block Editor Gallery Slider** plugin.
4. You will be either redirected to the main plugin page or need to click on the plugin settings link.

= After Activation =

1. Click on the on **Settings** link, and you will be redirected to the `Settings > Media` page, where at the bottom, you will see all the available settings for the plugin.

## CHANGELOG

= 1.0 =

- Realease for the first stable version.

= 0.1 =

- Initial release (beta) and first commit into the WordPress.org SVN.

## UPGRADE NOTICE

_None_
